---
title: jobtech/job-ad-conll-parser
gitlaburl: https://gitlab.com/arbetsformedlingen/taxonomy-dev/backend/nlp/job-ad-conll-parser/-/blob/main//README.md
gitdir: /arbetsformedlingen/taxonomy-dev/backend/nlp/job-ad-conll-parser
gitdir-file-path: /README.md
date: '2022-03-21 16:13:16'
path: /arbetsformedlingen/taxonomy-dev/backend/nlp/job-ad-conll-parser/README.md
tags:
- README.md
---
# jobtech/job-ad-conll-parser

FIXME: my new application.

## Installation

Download from https://github.com/jobtech/job-ad-conll-parser

## Usage

FIXME: explanation

Run the project directly, via `:exec-fn`:

    $ clojure -X:run-x
    Hello, Clojure!

Run the project, overriding the name to be greeted:

    $ clojure -X:run-x :name '"Someone"'
    Hello, Someone!

Run the project directly, via `:main-opts` (`-m jobtech.job-ad-conll-parser`):

    $ clojure -M:run-m
    Hello, World!

Run the project, overriding the name to be greeted:

    $ clojure -M:run-m Via-Main
    Hello, Via-Main!

Run the project's tests (they'll fail until you edit them):

    $ clojure -T:build test

Run the project's CI pipeline and build an uberjar (this will fail until you edit the tests to pass):

    $ clojure -T:build ci

This will produce an updated `pom.xml` file with synchronized dependencies inside the `META-INF`
directory inside `target/classes` and the uberjar in `target`. You can update the version (and SCM tag)
information in generated `pom.xml` by updating `build.clj`.

If you don't want the `pom.xml` file in your project, you can remove it. The `ci` task will
still generate a minimal `pom.xml` as part of the `uber` task, unless you remove `version`
from `build.clj`.

Run that uberjar:

    $ java -jar target/job-ad-conll-parser-0.1.0-SNAPSHOT.jar

If you remove `version` from `build.clj`, the uberjar will become `target/job-ad-conll-parser-standalone.jar`.

## Options

FIXME: listing of options this app accepts.

## Examples

...

### Bugs

...

### Any Other Sections
### That You Think
### Might be Useful

## License

Copyright © 2021 Jafhk

_EPLv1.0 is just the default for projects generated by `deps-new`: you are not_
_required to open source this project, nor are you required to use EPLv1.0!_
_Feel free to remove or change the `LICENSE` file and remove or update this_
_section of the `README.md` file!_

Distributed under the Eclipse Public License version 1.0.
